# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define uname   Vulkan-Tools

Name:           vulkan-tools
Version:        1.3.231.1
Release:        %mkrel 1
Summary:        Vulkan utilities and tools
Group:          Development/Tools
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Tools
Source0:        https://github.com/KhronosGroup/Vulkan-Tools/archive/sdk-%{version}/%{uname}-sdk-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  glslang
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  python3

%description
This project provides Khronos official Vulkan Tools and Utilities for
Windows, Linux, Android, and MacOS.

%prep
%autosetup -p1 -n %{uname}-sdk-%{version}

%build
%cmake \
    -DGLSLANG_INSTALL_DIR=%{_bindir}
%cmake_build

%install
%cmake_install

%files
%{_bindir}/vkcube
%{_bindir}/vkcubepp
%{_bindir}/vkcube-wayland
%{_bindir}/vulkaninfo


%changelog
* Tue Oct 10 2023 tex - 1.3.231.1-1pclos2023
- Vulkan SDK 1.3.231.1
